BEGIN ~rumaster~

IF ~!Global("RuMasterComeAndGo","GLOBAL",1)
    !Global("RuMasterComeAndGo","GLOBAL",2)
    !Global("RuMasterComeAndGo","GLOBAL",3)~
  THEN BEGIN rumaster0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO rumaster1
  IF ~~ THEN REPLY @2 GOTO rumaster1
END

IF ~~
  THEN BEGIN rumaster1
  SAY @3
  IF ~~ THEN EXTERN BRUKRA25 rumruk1
END

IF ~~
  THEN BEGIN rumaster2
  SAY @5
  IF ~~ THEN REPLY @6 GOTO rumaster3
  IF ~~ THEN REPLY @7 GOTO rumaster3
  IF ~~ THEN REPLY @8 GOTO rumaster4
END

IF ~~
  THEN BEGIN rumaster3
  SAY @9 = @10
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumasco2")~ EXIT
END

IF ~~
  THEN BEGIN rumaster4
  SAY @12
  IF ~~ THEN GOTO rumaster3
END

IF ~Global("RuMasterComeAndGo","GLOBAL",1)~
  THEN BEGIN rumaster5
  SAY @13
  IF ~~ THEN REPLY @14 GOTO rumaster6
  IF ~~ THEN REPLY @15 GOTO rumaster7
  IF ~~ THEN REPLY @16 GOTO rumaster8
END

IF ~~
  THEN BEGIN rumaster6
  SAY @17
  IF ~~ THEN GOTO rumaster8
END

IF ~~
  THEN BEGIN rumaster7
  SAY @18
  IF ~~ THEN GOTO rumaster8f
END

IF ~~
  THEN BEGIN rumaster8f
  SAY @19
  IF ~~ THEN GOTO rumaster8
END

IF ~~
  THEN BEGIN rumaster8
  SAY @20
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN GOTO rumaster9
  IF ~IsValidForPartyDialog("MINSC")~ THEN EXTERN MINSC25J RUMMINSC25#1
  IF ~!IsValidForPartyDialog("MINSC")
      IsValidForPartyDialog("KORGAN")~ THEN EXTERN KORGA25J RUMKORGA25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUMEDWIN25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      IsValidForPartyDialog("ANOMEN")~ THEN EXTERN ANOME25J RUMANOME25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUMKELDO25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("MINSC")
      !IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END

IF ~~
  THEN BEGIN rumaster9
  SAY @37 = @38
  IF ~~ THEN REPLY @39 GOTO rumaster10
  IF ~~ THEN REPLY @40 GOTO rumaster11
  IF ~~ THEN REPLY @41 GOTO rumaster12
END

IF ~~
  THEN BEGIN rumaster10
  SAY @42 = @43 = @44 = @45 = @46
  IF ~~ THEN REPLY @40 GOTO rumaster11
  IF ~~ THEN REPLY @41 GOTO rumaster12
END

IF ~~
  THEN BEGIN rumaster11
  SAY @47 = @48 = @49
  IF ~~ THEN REPLY @41 GOTO rumaster12
END

IF ~~
  THEN BEGIN rumaster12
  SAY @50 = @51 = @52
  IF ~!LevelGT(Protagonist,33)~ THEN DO ~~ GOTO rumaster13
  IF ~LevelGT(Protagonist,33)~ THEN DO ~~ GOTO rumaster14
END

IF ~~
  THEN BEGIN rumaster13
  SAY @53 = @54 = @55 = @56
  IF ~~ THEN DO ~GiveItemCreate("rumscrol", Protagonist, 1, 0, 0)
                 ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumastgo")~ EXIT
END

IF ~~
  THEN BEGIN rumaster14
  SAY @57 = @58
  IF ~~ THEN REPLY @59 GOTO rumaster15
  IF ~~ THEN REPLY @60 GOTO rumaster16
END

IF ~~
  THEN BEGIN rumaster15
  SAY @61 = @55 = @56
  IF ~~ THEN DO ~GiveItemCreate("rumscrol", Protagonist, 1, 0, 0)
                 ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumastgo")~ EXIT
END

IF ~~
  THEN BEGIN rumaster16
  SAY @62
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumstart")~ EXIT
END

IF ~Global("RuMasterComeAndGo","GLOBAL",2)~
  THEN BEGIN rumaster17
  SAY @63
  IF ~~ THEN REPLY @64 GOTO rumaster18
  IF ~~ THEN REPLY @65 GOTO rumaster19
END

IF ~~
  THEN BEGIN rumaster18
  SAY @66
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumstart")~ EXIT
END

IF ~~
  THEN BEGIN rumaster19
  SAY @67
  IF ~~ THEN DO ~ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("rumasgoe")~ EXIT
END

//--------------------

APPEND BRUKRA25
IF ~~
  THEN BEGIN rumruk1
  SAY @4
  IF ~~ THEN EXTERN RUMASTER rumaster2
END
END

APPEND MINSC25J
IF ~~
  THEN BEGIN RUMMINSC25#1
  SAY @21
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("KORGAN")~ THEN EXTERN KORGA25J RUMKORGA25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUMEDWIN25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      IsValidForPartyDialog("ANOMEN")~ THEN EXTERN ANOME25J RUMANOME25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUMKELDO25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("KORGAN")
      !IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND KORGA25J
IF ~~
  THEN BEGIN RUMKORGA25#1
  SAY @22
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("EDWIN")~ THEN EXTERN EDWIN25J RUMEDWIN25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      IsValidForPartyDialog("ANOMEN")~ THEN EXTERN ANOME25J RUMANOME25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUMKELDO25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("EDWIN")
      !IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND EDWIN25J
IF ~~
  THEN BEGIN RUMEDWIN25#1
  SAY @23
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("ANOMEN")~ THEN EXTERN ANOME25J RUMANOME25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUMKELDO25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("ANOMEN")
      !IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND ANOME25J
IF ~~
  THEN BEGIN RUMANOME25#1
  SAY @24
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("KELDORN")~ THEN EXTERN KELDO25J RUMKELDO25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("KELDORN")
      !IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND KELDO25J
IF ~~
  THEN BEGIN RUMKELDO25#1
  SAY @25
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("MAZZY")~ THEN EXTERN MAZZY25J RUMMAZZY25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("MAZZY")
      !IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND MAZZY25J
IF ~~
  THEN BEGIN RUMMAZZY25#1
  SAY @26
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("IMOEN2")~ THEN EXTERN IMOEN25J RUMIMOEN25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("IMOEN2")
      !IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND IMOEN25J
IF ~~
  THEN BEGIN RUMIMOEN25#1
  SAY @27
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("AERIE")~ THEN EXTERN AERIE25J RUMAERIE25#1
  IF ~!IsValidForPartyDialog("AERIE")
      IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("AERIE")
      !IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND AERIE25J
IF ~~
  THEN BEGIN RUMAERIE25#1
  SAY @28
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("VICONIA")~ THEN EXTERN VICON25J RUMVICON25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("VICONIA")
      !IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND VICON25J
IF ~~
  THEN BEGIN RUMVICON25#1
  SAY @29
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("JAHEIRA")~ THEN EXTERN JAHEI25J RUMJAHEI25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("JAHEIRA")
      !IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND JAHEI25J
IF ~~
  THEN BEGIN RUMJAHEI25#1
  SAY @30
  IF ~!IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("CERND")~ THEN EXTERN CERND25J RUMCERND25#1
  IF ~!IsValidForPartyDialog("CERND")
      IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("CERND")
      !IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND CERND25J
IF ~~
  THEN BEGIN RUMCERND25#1
  SAY @31
  IF ~!IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("HAERDALIS")~ THEN EXTERN HAERD25J RUMHAERD25#1
  IF ~!IsValidForPartyDialog("HAERDALIS")
      IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("HAERDALIS")
      !IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND HAERD25J
IF ~~
  THEN BEGIN RUMHAERD25#1
  SAY @32
  IF ~!IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("VALYGAR")~ THEN EXTERN VALYG25J RUMVALYG25#1
  IF ~!IsValidForPartyDialog("VALYGAR")
      IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("VALYGAR")
      !IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND VALYG25J
IF ~~
  THEN BEGIN RUMVALYG25#1
  SAY @33
  IF ~!IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("JAN")~ THEN EXTERN JAN25J RUMJAN25#1
  IF ~!IsValidForPartyDialog("JAN")
      IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("JAN")
      !IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND JAN25J
IF ~~
  THEN BEGIN RUMJAN25#1
  SAY @34
  IF ~!IsValidForPartyDialog("NALIA")
      !IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("NALIA")~ THEN EXTERN NALIA25J RUMNALIA25#1
  IF ~!IsValidForPartyDialog("NALIA")
      IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND NALIA25J
IF ~~
  THEN BEGIN RUMNALIA25#1
  SAY @35
  IF ~!IsValidForPartyDialog("SAREVOK")~ THEN EXTERN RUMASTER rumaster9
  IF ~IsValidForPartyDialog("SAREVOK")~ THEN EXTERN SAREV25J RUMSAREV25#1
END
END

APPEND SAREV25J
IF ~~
  THEN BEGIN RUMSAREV25#1
  SAY @36
  IF ~~ THEN EXTERN RUMASTER rumaster9
END
END
